Author Topic: PNGcheck Z.DLL version warning  (Read 188 times)

André Heldoorn

  • Hero Member
  • *****
  • Thank You
  • -Given: 117
  • -Receive: 19
  • Posts: 781
    • View Profile
PNGcheck Z.DLL version warning
« on: September 19, 2019, 12:50:23 pm »
Can PNGcheck be recompiled to get rid of a built-in Z.DLL version warning (expected 1.2.8, found 1.2.11)?

Our version http://hobbes.nmsu.edu/h-viewer.php?dir=/pub/os2/apps/graphics&file=pngcheck-2.3.0_os2.zip should already be the latest, albeit OS/2 is mentioned but not included as a binary at http://www.libpng.org/pub/png/apps/pngcheck.html. The code (strcmp(...) !=0) could be improved (by appending && strlen(zlib_version < 6, for example) to exclude the current v1.2.xx updates of Z.DLL, but I guess a recompile will do for now.
« Last Edit: September 19, 2019, 12:56:39 pm by André Heldoorn »

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 11
  • -Receive: 149
  • Posts: 2116
    • View Profile
Re: PNGcheck Z.DLL version warning
« Reply #1 on: September 19, 2019, 04:37:31 pm »
Here's a quick recompile, untested. Please test.

André Heldoorn

  • Hero Member
  • *****
  • Thank You
  • -Given: 117
  • -Receive: 19
  • Posts: 781
    • View Profile
Re: PNGcheck Z.DLL version warning
« Reply #2 on: September 19, 2019, 10:05:28 pm »
QC passed, as expected. With and without lxlite, including wildcard characters, et cetera. No more version-related warning with the current Z.DLL.